net.minecraft.entity.projectile

## Class EntityWitherSkull

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.projectile.EntityFireball
    - - net.minecraft.entity.projectile.EntityWitherSkull

-     public class EntityWitherSkull
      extends EntityFireball

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.projectile.EntityFireball

      `accelerationX, accelerationY, accelerationZ, shootingEntity`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityWitherSkull(World par1World)`
    `EntityWitherSkull(World par1World, double par2, double par4, double par6, double par8, double par10, double par12)`
    `EntityWitherSkull(World par1World, EntityLiving par2EntityLiving, double par3, double par5, double par7)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
    `boolean` | `canBeCollidedWith()` Returns true if other Entities should be prevented from moving through this Entity.
    `float` | `func_82146_a(Explosion par1Explosion, Block par2Block, int par3, int par4, int par5)`
    `boolean` | `isBurning()` Returns true if the entity is on fire.
    `boolean` | `isInvulnerable()` Return whether this skull comes from an invulnerable (aura) wither boss.
    `void` | `setInvulnerable(boolean par1)` Set whether this skull comes from an invulnerable (aura) wither boss.

    - ### Methods inherited from class net.minecraft.entity.projectile.EntityFireball

      `getBrightness, getBrightnessForRender, getCollisionBorderSize, getShadowSize, isInRangeToRenderDist, onUpdate, readEntityFromNBT, writeEntityToNBT`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canBePushed, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82143_as, func_82148_at, func_82149_j, func_85029_a, func_85031_j, generatePersistentID, getAir, getBoundingBox, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getHasActivePotion, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, interact, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, readFromNBT, resetEntityId, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHasActivePotion, setHeadRotationYaw, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotationYawHead, setSneaking, setSprinting, setVelocity, setWorld, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityWitherSkull

          public EntityWitherSkull(World par1World)

    - #### EntityWitherSkull

          public EntityWitherSkull(World par1World,
                           EntityLiving par2EntityLiving,
                           double par3,
                           double par5,
                           double par7)

    - #### EntityWitherSkull

          public EntityWitherSkull(World par1World,
                           double par2,
                           double par4,
                           double par6,
                           double par8,
                           double par10,
                           double par12)

  - ### Method Detail

    - #### isBurning

          public boolean isBurning()

      Returns true if the entity is on fire. Used by render to add the fire effect on rendering.
      Overrides:
        `isBurning` in class `Entity`

    - #### func_82146_a

          public float func_82146_a(Explosion par1Explosion,
                           Block par2Block,
                           int par3,
                           int par4,
                           int par5)

      Overrides:
        `func_82146_a` in class `Entity`

    - #### canBeCollidedWith

          public boolean canBeCollidedWith()

      Returns true if other Entities should be prevented from moving through this Entity.
      Overrides:
        `canBeCollidedWith` in class `EntityFireball`

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 int par2)

      Called when the entity is attacked.
      Overrides:
        `attackEntityFrom` in class `EntityFireball`

    - #### isInvulnerable

          public boolean isInvulnerable()

      Return whether this skull comes from an invulnerable (aura) wither boss.

    - #### setInvulnerable

          public void setInvulnerable(boolean par1)

      Set whether this skull comes from an invulnerable (aura) wither boss.